Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.stmt.oracle
Class TPlsqlCreateType_Placeholder

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.TCustomSqlStatement
              gudusoft.gsqlparser.stmt.oracle.TPlsqlStmt
                  gudusoft.gsqlparser.stmt.oracle.TPlsqlCreateType_Placeholder

All Implemented Interfaces:
  Visitable

    public class TPlsqlCreateType_Placeholder

extends TPlsqlStmt

This class is a placeholder for CREATE TYPE statement.

The CREATE TYPE statement creates or replaces

the specification of an object type,represented by `TPlsqlCreateType`.

a SQLJ object type (not supported),

a named varying array (varray), represented by `TPlsqlVarrayTypeDefStmt`.

a nested table type, represented by `TPlsqlTableTypeDefStmt`.

or an incomplete object type, represented by `TPlsqlCreateType`.

You can check kind property to determine what's kind of SQL statement this class represents for.

Various SQL statement can be fetched via following properties:

`getObjectStatement()`, `getVarrayStatement()`,`getNestedTableStatement()` accordingly.

Field Summary

Fields inherited from class gudusoft.gsqlparser.TCustomSqlStatement
`dbvendor, dummytag, joins, parser, plsqlparser, rootNode, sourcetokenlist, sqlstatementtype, tables`

Constructor Summary
`TPlsqlCreateType_Placeholder(EDbVendor dbvendor)`

Method Summary
`void` | `accept(TParseTreeVisitor v)`
`int` | `doParseStatement(TCustomSqlStatement psql)`
`int` | `getKind()` Indicates what's kind of SQL statement this class represents for.
`TPlsqlTableTypeDefStmt` | `getNestedTableStatement()` Valid only when kind = `TBaseType.kind_create_nested_table` Represents a statement that create the specification of a nested table type.
`TPlsqlCreateType` | `getObjectStatement()` Valid only when kind = `TBaseType.kind_create` or kind = `TBaseType.kind_create_incomplete` Represents a statement that create the specification of an object type.
`TPlsqlVarrayTypeDefStmt` | `getVarrayStatement()` Valid only when kind = `TBaseType.kind_create_varray` Represents a statement that create the specification of a varray type.
`void` | `setKind(int kind)`

Methods inherited from class gudusoft.gsqlparser.stmt.oracle.TPlsqlStmt
`getEndlabelName, getLabelName, setEndlabelName, setLabelName`

Methods inherited from class gudusoft.gsqlparser.TCustomSqlStatement
`addWhereClause, analyzeFromTable, analyzeJoin, analyzeTablename, checkNonQualifiedColumnReferenceInSubQueryOfUplevelStmt, getCteList, getErrorCount, getOutputClause, getParentStmt, getResultColumnList, getReturningClause, getStatements, getSymbolTable, getTargetTable, getTopClause, getTopStatement, getWhereClause, isnzplsql, isoracleplsql, ispgplsql, linkColumnReferenceToTable, locateVariableOrParameter, OracleStatementCanBeSeparatedByBeginEndPair, parsestatement, setCteList, setOutputClause, setParentStmt, setResultColumnList, setReturningClause, setTargetTable, setTopClause, setWhereClause`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TPlsqlCreateType_Placeholder

    public TPlsqlCreateType_Placeholder(EDbVendor dbvendor)

Method Detail

### setKind

    public void setKind(int kind)

### getKind

    public int getKind()

  Indicates what's kind of SQL statement this class represents for.

  Returns:

    `TBaseType.kind_define`: create the specification of an object type, check `getObjectStatement()`

    `TBaseType.kind_create_incomplete`: create an incomplete object type, check `getObjectStatement()`

    `TBaseType.kind_create_varray`: create a varray type, check `getVarrayStatement()`

    `TBaseType.kind_create_nested_table`: create a nested table type,check `getNestedTableStatement()`

### getObjectStatement

    public TPlsqlCreateType getObjectStatement()

  Valid only when kind = `TBaseType.kind_create` or kind = `TBaseType.kind_create_incomplete` Represents a statement that create the specification of an object type. or create an incomplete object type.

  Returns:

### getVarrayStatement

    public TPlsqlVarrayTypeDefStmt getVarrayStatement()

  Valid only when kind = `TBaseType.kind_create_varray` Represents a statement that create the specification of a varray type.

  Returns:

### getNestedTableStatement

    public TPlsqlTableTypeDefStmt getNestedTableStatement()

  Valid only when kind = `TBaseType.kind_create_nested_table` Represents a statement that create the specification of a nested table type.

  Returns:

### doParseStatement

    public int doParseStatement(TCustomSqlStatement psql)

  Overrides:
    `doParseStatement` in class `TCustomSqlStatement`

### accept

    public void accept(TParseTreeVisitor v)

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD